### Class

# Ide EnvironmentVariable

#### Description

    final class Ide.EnvironmentVariable : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_environment_variable_new

No description available.

#### Instance methods

###### ide_environment_variable_get_key

No description available.

###### ide_environment_variable_get_value

No description available.

###### ide_environment_variable_set_key

No description available.

###### ide_environment_variable_set_value

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.EnvironmentVariable:key

No description available.

###### Ide.EnvironmentVariable:value

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeEnvironmentVariableClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.